Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## convert.relaxng.output.xsd.basic
Class AttributeGroupDefinition

    java.lang.Object
      convert.relaxng.output.xsd.basic.Located
          convert.relaxng.output.xsd.basic.Annotated
              convert.relaxng.output.xsd.basic.Definition
                  convert.relaxng.output.xsd.basic.AttributeGroupDefinition

All Implemented Interfaces:
  TopLevel

    public class AttributeGroupDefinition

extends Definition

Constructor Summary
`AttributeGroupDefinition(SourceLocation location, Annotation annotation, Schema parentSchema, java.lang.String name, AttributeUse attributeUses)`

Method Summary
`void` | `accept(SchemaVisitor visitor)`
`AttributeUse` | `getAttributeUses()`
`void` | `setAttributeUses(AttributeUse attributeUses)`

Methods inherited from class convert.relaxng.output.xsd.basic.Definition
`getName, getParentSchema`

Methods inherited from class convert.relaxng.output.xsd.basic.Annotated
`equals, getAnnotation, hashCode`

Methods inherited from class convert.relaxng.output.xsd.basic.Located
`getLocation`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeGroupDefinition

    public AttributeGroupDefinition(SourceLocation location,
                                    Annotation annotation,
                                    Schema parentSchema,
                                    java.lang.String name,
                                    AttributeUse attributeUses)

Method Detail

### getAttributeUses

    public AttributeUse getAttributeUses()

### setAttributeUses

    public void setAttributeUses(AttributeUse attributeUses)

### accept

    public void accept(SchemaVisitor visitor)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD